# -*- coding: utf-8 -*-

from odoo import models

class AccountMove(models.Model):
    _inherit = 'account.move'

    def _invoice_paid_hook(self):
        res = super()._invoice_paid_hook()
        invoices = self.filtered(lambda i: i.move_type == 'out_invoice' and i.state == 'posted')
        for invoice in invoices:
            sale_orders = invoice.invoice_line_ids.mapped('sale_line_ids').mapped('order_id')
            sale_orders._send_apps_mail()
            sale_orders._iap_validation()
        return res
